ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

StgCmmTicky

# Documentation

withNewTickyCounterFun :: Bool -> Name -> [NonVoid Id] -> FCode a -> FCode a #

withNewTickyCounterLNE :: Name -> [NonVoid Id] -> FCode a -> FCode a #

withNewTickyCounterThunk #

Arguments

:: Bool | static
-> Bool | updateable
-> Name |
-> FCode a |
-> FCode a |

withNewTickyCounterStdThunk #

Arguments

:: Bool | updateable
-> Name |
-> FCode a |
-> FCode a |

withNewTickyCounterCon :: Name -> FCode a -> FCode a #

tickyDynAlloc :: Maybe Id -> SMRep -> LambdaFormInfo -> FCode () #

tickyAllocHeap :: Bool -> VirtualHpOffset -> FCode () #

tickyAllocPrim #

Arguments

:: CmmExpr | size of the full header, in bytes
-> CmmExpr | size of the payload, in bytes
-> CmmExpr |
-> FCode () |

tickyAllocThunk :: CmmExpr -> CmmExpr -> FCode () #

tickyAllocPAP :: CmmExpr -> CmmExpr -> FCode () #

tickyHeapCheck :: FCode () #

tickyStackCheck :: FCode () #

tickyUnknownCall :: FCode () #

tickyDirectCall :: RepArity -> [StgArg] -> FCode () #

tickyPushUpdateFrame :: FCode () #

tickyUpdateFrameOmitted :: FCode () #

tickyEnterDynCon :: FCode () #

tickyEnterStaticCon :: FCode () #

tickyEnterViaNode :: FCode () #

tickyEnterFun :: ClosureInfo -> FCode () #

tickyEnterThunk :: ClosureInfo -> FCode () #

tickyEnterStdThunk :: ClosureInfo -> FCode () #

tickyEnterLNE :: FCode () #

tickyUpdateBhCaf :: ClosureInfo -> FCode () #

tickyBlackHole :: Bool -> FCode () #

tickyUnboxedTupleReturn :: RepArity -> FCode () #

tickyReturnOldCon :: RepArity -> FCode () #

tickyReturnNewCon :: RepArity -> FCode () #

tickyKnownCallTooFewArgs :: FCode () #

tickyKnownCallExact :: FCode () #

tickyKnownCallExtraArgs :: FCode () #

tickySlowCall :: LambdaFormInfo -> [StgArg] -> FCode () #

tickySlowCallPat :: [PrimRep] -> FCode () #